Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractPickList

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectMany
                          org.richfaces.component.AbstractSelectManyComponent
                              org.richfaces.component.AbstractOrderingComponent
                                  org.richfaces.component.AbstractPickList

All Implemented Interfaces:
  EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIPickList

    public abstract class AbstractPickList

extends AbstractOrderingComponent

The <rich:pickList> is a component for selecting items from a list. Additionally, it allows for the selected items to be ordered (client-side). From the client side perspective, items are added/removed from the source list, and removed/added to the target list.

Author:
  Brian Leathem

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UISelectMany
`INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractPickList()`

Method Summary
`abstract String` | `getAddAllText()` The text to display in the add-all button
`abstract String` | `getAddText()` The text to display in the add button
`abstract String` | `getOnadditems()` Javascript code executed when items are removed from the source list, and added to the target list
`abstract String` | `getOnremoveitems()` Javascript code executed when items are removed from the target list, and added to the source list
`abstract String` | `getOnsourceblur()` Javascript code executed when the source list element loses focus.
`abstract String` | `getOnsourceclick()` Javascript code executed when a pointer button is clicked over the source list element .
`abstract String` | `getOnsourcedblclick()` Javascript code executed when a pointer button is double clicked over the source list element .
`abstract String` | `getOnsourcefocus()` Javascript code executed when the source list element receives focus.
`abstract String` | `getOnsourcekeydown()` Javascript code executed when a key is pressed down over the source list element .
`abstract String` | `getOnsourcekeypress()` Javascript code executed when a key is pressed and released over the source list element .
`abstract String` | `getOnsourcekeyup()` Javascript code executed when a key is released over the source list element .
`abstract String` | `getOnsourcemousedown()` Javascript code executed when a pointer button is pressed down over the source list element .
`abstract String` | `getOnsourcemousemove()` Javascript code executed when a pointer button is moved within the source list element .
`abstract String` | `getOnsourcemouseout()` Javascript code executed when a pointer button is moved away from the source list element .
`abstract String` | `getOnsourcemouseover()` Javascript code executed when a pointer button is moved onto the source list element .
`abstract String` | `getOnsourcemouseup()` Javascript code executed when a pointer button is released over the source list element .
`abstract String` | `getOntargetblur()` Javascript code executed when the target list element loses focus.
`abstract String` | `getOntargetclick()` Javascript code executed when a pointer button is clicked over the target list element .
`abstract String` | `getOntargetdblclick()` Javascript code executed when a pointer button is double clicked over the target list element .
`abstract String` | `getOntargetfocus()` Javascript code executed when the target list element receives focus.
`abstract String` | `getOntargetkeydown()` Javascript code executed when a key is pressed down over the target list element .
`abstract String` | `getOntargetkeypress()` Javascript code executed when a key is pressed and released over the target list element .
`abstract String` | `getOntargetkeyup()` Javascript code executed when a key is released over the target list element .
`abstract String` | `getOntargetmousedown()` Javascript code executed when a pointer button is pressed down over the target list element .
`abstract String` | `getOntargetmousemove()` Javascript code executed when a pointer button is moved within the target list element .
`abstract String` | `getOntargetmouseout()` Javascript code executed when a pointer button is moved away from the target list element .
`abstract String` | `getOntargetmouseover()` Javascript code executed when a pointer button is moved onto the target list element .
`abstract String` | `getOntargetmouseup()` Javascript code executed when a pointer button is released over the target list element .
`abstract String` | `getRemoveAllText()` The text to display in the remove-all button
`abstract String` | `getRemoveText()` The text to display in the remove button
`abstract String` | `getSourceCaption()` The text placed above the source list of items
`abstract String` | `getTargetCaption()` The text placed above the target list of items
`abstract boolean` | `isOrderable()` If "true", then the target list is orderable, and the ordering controls are displayed
`abstract boolean` | `isSwitchByClick()` if "true", then clicking an item moves it from one list to another
`abstract boolean` | `isSwitchByDblClick()` if "true", then double-clicking an item moves it from one list to another

Methods inherited from class org.richfaces.component.AbstractOrderingComponent
`compareValues, getDownBottomText, getDownText, getUpText, getUpTopText, isShowButton`

Methods inherited from class org.richfaces.component.AbstractSelectManyComponent
`columns, getActiveClass, getChangedClass, getCollectionType, getColumnClasses, getDisabledClass, getHeaderClass, getItemClass, getListHeight, getListWidth, getMaxListHeight, getMinListHeight, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getSelectItemClass, getStyle, getStyleClass, getVar, isDisabled, validateValue`

Methods inherited from class javax.faces.component.UISelectMany
`getFamily, getSelectedValues, getValueBinding, getValueExpression, setSelectedValues, setValueBinding, setValueExpression`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractPickList

    public AbstractPickList()

Method Detail

### isOrderable

    public abstract boolean isOrderable()

  If "true", then the target list is orderable, and the ordering controls are displayed

  Default is "false"

### getSourceCaption

    public abstract String getSourceCaption()

  The text placed above the source list of items

### getTargetCaption

    public abstract String getTargetCaption()

  The text placed above the target list of items

### getAddAllText

    public abstract String getAddAllText()

  The text to display in the add-all button

### getAddText

    public abstract String getAddText()

  The text to display in the add button

### getRemoveText

    public abstract String getRemoveText()

  The text to display in the remove button

### getRemoveAllText

    public abstract String getRemoveAllText()

  The text to display in the remove-all button

### isSwitchByClick

    public abstract boolean isSwitchByClick()

  if "true", then clicking an item moves it from one list to another

  Default is "false"

### isSwitchByDblClick

    public abstract boolean isSwitchByDblClick()

  if "true", then double-clicking an item moves it from one list to another

  Default is "true"

### getOnadditems

    public abstract String getOnadditems()

  Javascript code executed when items are removed from the source list, and added to the target list

### getOnremoveitems

    public abstract String getOnremoveitems()

  Javascript code executed when items are removed from the target list, and added to the source list

### getOnsourcefocus

    public abstract String getOnsourcefocus()

  Javascript code executed when the source list element receives focus.

### getOnsourceblur

    public abstract String getOnsourceblur()

  Javascript code executed when the source list element loses focus.

### getOnsourceclick

    public abstract String getOnsourceclick()

  Javascript code executed when a pointer button is clicked over the source list element .

### getOnsourcedblclick

    public abstract String getOnsourcedblclick()

  Javascript code executed when a pointer button is double clicked over the source list element .

### getOnsourcemousedown

    public abstract String getOnsourcemousedown()

  Javascript code executed when a pointer button is pressed down over the source list element .

### getOnsourcemouseup

    public abstract String getOnsourcemouseup()

  Javascript code executed when a pointer button is released over the source list element .

### getOnsourcemouseover

    public abstract String getOnsourcemouseover()

  Javascript code executed when a pointer button is moved onto the source list element .

### getOnsourcemousemove

    public abstract String getOnsourcemousemove()

  Javascript code executed when a pointer button is moved within the source list element .

### getOnsourcemouseout

    public abstract String getOnsourcemouseout()

  Javascript code executed when a pointer button is moved away from the source list element .

### getOnsourcekeypress

    public abstract String getOnsourcekeypress()

  Javascript code executed when a key is pressed and released over the source list element .

### getOnsourcekeydown

    public abstract String getOnsourcekeydown()

  Javascript code executed when a key is pressed down over the source list element .

### getOnsourcekeyup

    public abstract String getOnsourcekeyup()

  Javascript code executed when a key is released over the source list element .

### getOntargetfocus

    public abstract String getOntargetfocus()

  Javascript code executed when the target list element receives focus.

### getOntargetblur

    public abstract String getOntargetblur()

  Javascript code executed when the target list element loses focus.

### getOntargetclick

    public abstract String getOntargetclick()

  Javascript code executed when a pointer button is clicked over the target list element .

### getOntargetdblclick

    public abstract String getOntargetdblclick()

  Javascript code executed when a pointer button is double clicked over the target list element .

### getOntargetmousedown

    public abstract String getOntargetmousedown()

  Javascript code executed when a pointer button is pressed down over the target list element .

### getOntargetmouseup

    public abstract String getOntargetmouseup()

  Javascript code executed when a pointer button is released over the target list element .

### getOntargetmouseover

    public abstract String getOntargetmouseover()

  Javascript code executed when a pointer button is moved onto the target list element .

### getOntargetmousemove

    public abstract String getOntargetmousemove()

  Javascript code executed when a pointer button is moved within the target list element .

### getOntargetmouseout

    public abstract String getOntargetmouseout()

  Javascript code executed when a pointer button is moved away from the target list element .

### getOntargetkeypress

    public abstract String getOntargetkeypress()

  Javascript code executed when a key is pressed and released over the target list element .

### getOntargetkeydown

    public abstract String getOntargetkeydown()

  Javascript code executed when a key is pressed down over the target list element .

### getOntargetkeyup

    public abstract String getOntargetkeyup()

  Javascript code executed when a key is released over the target list element .

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.